Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface TabableView

All Known Implementing Classes:
  GlyphView, LabelView

public interface TabableView

Interface for `View`s that have size dependent upon tabs.

See Also:
  `TabExpander`, `LabelView`, `ParagraphView`

Method Summary
`float` | `getPartialSpan(int p0, int p1)` Determines the span along the same axis as tab expansion for a portion of the view.
`float` | `getTabbedSpan(float x, TabExpander e)` Determines the desired span when using the given tab expansion implementation.

Method Detail

### getTabbedSpan

    public float getTabbedSpan(float x,
                               TabExpander e)

  Determines the desired span when using the given tab expansion implementation. If a container calls this method, it will do so prior to the normal layout which would call getPreferredSpan. A view implementing this should give the same result in any subsequent calls to getPreferredSpan along the axis of tab expansion.

  Parameters:
    `x` - the position the view would be located at for the purpose of tab expansion >= 0.
    `e` - how to expand the tabs when encountered.
  Returns:
    the desired span >= 0

### getPartialSpan

    public float getPartialSpan(int p0,
                                int p1)

  Determines the span along the same axis as tab expansion for a portion of the view. This is intended for use by the TabExpander for cases where the tab expansion involves aligning the portion of text that doesn't have whitespace relative to the tab stop. There is therefore an assumption that the range given does not contain tabs.

  Parameters:
    `p0` - the starting location in the text document >= 0
    `p1` - the ending location in the text document >= p0
  Returns:
    the span >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.